<template>
  <div>
    <v-app-bar-nav-icon class="d-flex d-sm-none"
                        @click.stop="drawer = !drawer"></v-app-bar-nav-icon>
    <v-navigation-drawer
        v-model="drawer"
        absolute
        temporary
        class="d-flex d-sm-none"
    >
      <Controls @openDialog="dialog = !dialog"/>
    </v-navigation-drawer>
  </div>
</template>

<script>
import Controls from "./controls/Controls";

export default {
  name: "MobileSidebar",
  components: {Controls},
  data: () => ({
    drawer: false,
  }),
  watch: {
    group() {
      this.drawer = false
    },
  },
}
</script>

<style scoped>

</style>
